Skip to main content
PATCH
Patch Dataset Schema

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataset_id
string<uuid>
required

Body

application/json

Body of PATCH /datasets/{id}/schema; snake_case or camelCase keys.

entities
EntityPatch · object[]
removeEntities
string[]
removeFields
FieldRemoval · object[]
options
GraphSchemaOptions · object | null
root
string | null

Response

Successful Response

The response is of type Response Patch Dataset Schema Api V1 Datasets Dataset Id Schema Patch · object.